net.i2p.internal

## Class QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner

- java.lang.Object
- - net.i2p.data.i2cp.I2CPMessageReader.I2CPMessageReaderRunner
  - - net.i2p.internal.QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner

All Implemented Interfaces:
  Runnable

Enclosing class:
  QueuedI2CPMessageReader

    protected class QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner
    extends I2CPMessageReader.I2CPMessageReaderRunner
    implements Runnable

### Field Summary

### Fields inherited from class net.i2p.data.i2cp.I2CPMessageReader.I2CPMessageReaderRunner

`_doRun, _stayAlive`

### Constructor Summary

Constructors
Constructor and Description
`QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner()`

### Method Summary

Methods
`void` `cancelRunner()` Shuts the pumper down.
`void` `run()` Pumps messages from the incoming message queue to the listener.

### Methods inherited from class net.i2p.data.i2cp.I2CPMessageReader.I2CPMessageReaderRunner

`pauseRunner, resumeRunner`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner

    public QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner()

### Method Detail

#### cancelRunner

    public void cancelRunner()

Shuts the pumper down.

Overrides:
  `cancelRunner` in class `I2CPMessageReader.I2CPMessageReaderRunner`

#### run

    public void run()

Pumps messages from the incoming message queue to the listener.

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `I2CPMessageReader.I2CPMessageReaderRunner`